Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.analytics.get_market_breadth()
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.operations.GetMarketBreadthResponse;
public class Application {
public static void main(String[] args) throws Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetMarketBreadthResponse res = sdk.analytics().getMarketBreadth()
.call();
if (res.marketBreadth().isPresent()) {
// handle response
}
}
}curl --request GET \
--url https://api.tradearies.dev/v1/analytics/market-breadth \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradearies.dev/v1/analytics/market-breadth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"advancers": 123,
"decliners": 123,
"unchanged": 123,
"totalSymbols": 123,
"advancersPercent": 123,
"declinersPercent": 123,
"advanceDeclineRatio": 123,
"timestamp": "<string>"
}Analytics
Get Market Breadth
Retrieve market breadth data showing advancers vs decliners
GET
/
v1
/
analytics
/
market-breadth
Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.analytics.get_market_breadth()
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.operations.GetMarketBreadthResponse;
public class Application {
public static void main(String[] args) throws Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetMarketBreadthResponse res = sdk.analytics().getMarketBreadth()
.call();
if (res.marketBreadth().isPresent()) {
// handle response
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Market breadth data retrieved successfully
Number of advancing stocks
Number of declining stocks
Number of unchanged stocks
Total number of symbols
Percentage of advancers
Percentage of decliners
Ratio of advancers to decliners
Data timestamp
Was this page helpful?
⌘I